com.sun.syndication.feed.rss

## Class TextInput

- java.lang.Object
- - com.sun.syndication.feed.rss.TextInput

All Implemented Interfaces:
  java.io.Serializable, java.lang.Cloneable

    public class TextInput
    extends java.lang.Object
    implements java.lang.Cloneable, java.io.Serializable

Bean for text input of RSS feeds.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`TextInput()` Default constructor.

### Method Summary

Methods
`java.lang.Object` `clone()` Creates a deep 'bean' clone of the object.
`boolean` `equals(java.lang.Object other)` Indicates whether some other object is "equal to" this one as defined by the Object equals() method.
`java.lang.String` `getDescription()` Returns the text input description.
`java.lang.String` `getLink()` Returns the text input link.
`java.lang.String` `getName()` Returns the text input name.
`java.lang.String` `getTitle()` Returns the text input title.
`int` `hashCode()` Returns a hashcode value for the object.
`void` `setDescription(java.lang.String description)` Sets the text input description.
`void` `setLink(java.lang.String link)` Sets the text input link.
`void` `setName(java.lang.String name)` Sets the text input name.
`void` `setTitle(java.lang.String title)` Sets the text input title.
`java.lang.String` `toString()` Returns the String representation for the object.

### Methods inherited from class java.lang.Object

`finalize, getClass, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### TextInput

    public TextInput()

Default constructor. All properties are set to null.

### Method Detail

#### clone

    public java.lang.Object clone()
                           throws java.lang.CloneNotSupportedException

Creates a deep 'bean' clone of the object.

Overrides:
  `clone` in class `java.lang.Object`
Returns:
  a clone of the object.
Throws:
  `java.lang.CloneNotSupportedException` - thrown if an element of the object cannot be cloned.

#### equals

    public boolean equals(java.lang.Object other)

Indicates whether some other object is "equal to" this one as defined by the Object equals() method.

Overrides:
  `equals` in class `java.lang.Object`
Parameters:
  `other` - he reference object with which to compare.
Returns:
  true if 'this' object is equal to the 'other' object.

#### hashCode

    public int hashCode()

Returns a hashcode value for the object.

It follows the contract defined by the Object hashCode() method.

Overrides:
  `hashCode` in class `java.lang.Object`
Returns:
  the hashcode of the bean object.

#### toString

    public java.lang.String toString()

Returns the String representation for the object.

Overrides:
  `toString` in class `java.lang.Object`
Returns:
  String representation for the object.

#### getTitle

    public java.lang.String getTitle()

Returns the text input title.

Returns:
  the text input title, null if none.

#### setTitle

    public void setTitle(java.lang.String title)

Sets the text input title.

Parameters:
  `title` - the text input title to set, null if none.

#### getDescription

    public java.lang.String getDescription()

Returns the text input description.

Returns:
  the text input description, null if none.

#### setDescription

    public void setDescription(java.lang.String description)

Sets the text input description.

Parameters:
  `description` - the text input description to set, null if none.

#### getName

    public java.lang.String getName()

Returns the text input name.

Returns:
  the text input name, null if none.

#### setName

    public void setName(java.lang.String name)

Sets the text input name.

Parameters:
  `name` - the text input name to set, null if none.

#### getLink

    public java.lang.String getLink()

Returns the text input link.

Returns:
  the text input link, null if none.

#### setLink

    public void setLink(java.lang.String link)

Sets the text input link.

Parameters:
  `link` - the text input link to set, null if none.